## gate
Class TestGate

    java.lang.Object
      |
      +--gate.TestGate

public class TestGate
extends Object

Top-level entry point for GATE test suite; "main" will run the JUnit test runner interface.

Many tests require access to files; generally these files are located on Web servers. In cases where there is no net connection, or the Web servers are down, the test files are searched for in the file system or Jar code base that the system has been loaded from. The search order for test files is like this:

- http://derwent.dcs.shef.ac.uk:80/gate.ac.uk/
- http://gate.ac.uk:80/
- http://localhost:80/gate.ac.uk/
- the file system location that the classes came from, e.g. `z:\gate\classes`, or `jar:....gate.jar`.

This search order can be modified by parameters to the main function (see below).

Field Summary
`private static boolean` `DEBUG` Debug flag
`private static String` `defOracleDriver`
`private static String` `defPSQLDriver`
`static String` `oracleDriver`
`static String` `psqlDriver`
`private static String` `saiOracleDriver`
`private static String` `saiPSQLDriver`
`private static int` `STATUS_ERROR` Status flag for error exit.
`private static int` `STATUS_NORMAL` Status flag for normal exit.

Constructor Summary
`TestGate()`

Method Summary
`static void` `main(String[] args)` Main routine for the GATE test suite.
`static junit.framework.Test` `suite()` GATE test suite.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### STATUS_NORMAL

    private static final int STATUS_NORMAL

  Status flag for normal exit.

### STATUS_ERROR

    private static final int STATUS_ERROR

  Status flag for error exit.

### defOracleDriver

    private static final String defOracleDriver

### saiOracleDriver

    private static final String saiOracleDriver

### defPSQLDriver

    private static final String defPSQLDriver

### saiPSQLDriver

    private static final String saiPSQLDriver

### oracleDriver

    public static String oracleDriver

### psqlDriver

    public static String psqlDriver

Constructor Detail

### TestGate

    public TestGate()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Main routine for the GATE test suite. Command-line arguments:
  - -a means run the test runner in automatic class reload mode
  - -n means assume there's no net connection
  - -t means run the test runner in text mode (useful for debugging, as there's less confusion to do with threads and class loaders).
  - -i file additional initialisation file (probably called `gate.xml`). Used for site-wide initialisation by the start-up scripts.

### suite

    public static junit.framework.Test suite()
                                      throws Exception

  GATE test suite. Every test case class has to be registered here.